Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network199.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
199.0.0.0
Broadcast address
199.255.255.255
First usable
199.0.0.1
Last usable
199.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex C7000000 · Integer 3338665984 to 3355443199
Reverse DNS zone
199.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000111..00000000.00000000.00000000199.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11000111..00000000.00000000.00000000199.0.0.0
Broadcast11000111..11111111.11111111.11111111199.255.255.255
Split into smaller subnets/17

199.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1199.0.0.0/17199.0.0.1 to 199.0.127.254199.0.127.25532,766
2199.0.128.0/17199.0.128.1 to 199.0.255.254199.0.255.25532,766
3199.1.0.0/17199.1.0.1 to 199.1.127.254199.1.127.25532,766
4199.1.128.0/17199.1.128.1 to 199.1.255.254199.1.255.25532,766
5199.2.0.0/17199.2.0.1 to 199.2.127.254199.2.127.25532,766
6199.2.128.0/17199.2.128.1 to 199.2.255.254199.2.255.25532,766
7199.3.0.0/17199.3.0.1 to 199.3.127.254199.3.127.25532,766
8199.3.128.0/17199.3.128.1 to 199.3.255.254199.3.255.25532,766
9199.4.0.0/17199.4.0.1 to 199.4.127.254199.4.127.25532,766
10199.4.128.0/17199.4.128.1 to 199.4.255.254199.4.255.25532,766
11199.5.0.0/17199.5.0.1 to 199.5.127.254199.5.127.25532,766
12199.5.128.0/17199.5.128.1 to 199.5.255.254199.5.255.25532,766
13199.6.0.0/17199.6.0.1 to 199.6.127.254199.6.127.25532,766
14199.6.128.0/17199.6.128.1 to 199.6.255.254199.6.255.25532,766
15199.7.0.0/17199.7.0.1 to 199.7.127.254199.7.127.25532,766
16199.7.128.0/17199.7.128.1 to 199.7.255.254199.7.255.25532,766
17199.8.0.0/17199.8.0.1 to 199.8.127.254199.8.127.25532,766
18199.8.128.0/17199.8.128.1 to 199.8.255.254199.8.255.25532,766
19199.9.0.0/17199.9.0.1 to 199.9.127.254199.9.127.25532,766
20199.9.128.0/17199.9.128.1 to 199.9.255.254199.9.255.25532,766
21199.10.0.0/17199.10.0.1 to 199.10.127.254199.10.127.25532,766
22199.10.128.0/17199.10.128.1 to 199.10.255.254199.10.255.25532,766
23199.11.0.0/17199.11.0.1 to 199.11.127.254199.11.127.25532,766
24199.11.128.0/17199.11.128.1 to 199.11.255.254199.11.255.25532,766
25199.12.0.0/17199.12.0.1 to 199.12.127.254199.12.127.25532,766
26199.12.128.0/17199.12.128.1 to 199.12.255.254199.12.255.25532,766
27199.13.0.0/17199.13.0.1 to 199.13.127.254199.13.127.25532,766
28199.13.128.0/17199.13.128.1 to 199.13.255.254199.13.255.25532,766
29199.14.0.0/17199.14.0.1 to 199.14.127.254199.14.127.25532,766
30199.14.128.0/17199.14.128.1 to 199.14.255.254199.14.255.25532,766
31199.15.0.0/17199.15.0.1 to 199.15.127.254199.15.127.25532,766
32199.15.128.0/17199.15.128.1 to 199.15.255.254199.15.255.25532,766
33199.16.0.0/17199.16.0.1 to 199.16.127.254199.16.127.25532,766
34199.16.128.0/17199.16.128.1 to 199.16.255.254199.16.255.25532,766
35199.17.0.0/17199.17.0.1 to 199.17.127.254199.17.127.25532,766
36199.17.128.0/17199.17.128.1 to 199.17.255.254199.17.255.25532,766
37199.18.0.0/17199.18.0.1 to 199.18.127.254199.18.127.25532,766
38199.18.128.0/17199.18.128.1 to 199.18.255.254199.18.255.25532,766
39199.19.0.0/17199.19.0.1 to 199.19.127.254199.19.127.25532,766
40199.19.128.0/17199.19.128.1 to 199.19.255.254199.19.255.25532,766
41199.20.0.0/17199.20.0.1 to 199.20.127.254199.20.127.25532,766
42199.20.128.0/17199.20.128.1 to 199.20.255.254199.20.255.25532,766
43199.21.0.0/17199.21.0.1 to 199.21.127.254199.21.127.25532,766
44199.21.128.0/17199.21.128.1 to 199.21.255.254199.21.255.25532,766
45199.22.0.0/17199.22.0.1 to 199.22.127.254199.22.127.25532,766
46199.22.128.0/17199.22.128.1 to 199.22.255.254199.22.255.25532,766
47199.23.0.0/17199.23.0.1 to 199.23.127.254199.23.127.25532,766
48199.23.128.0/17199.23.128.1 to 199.23.255.254199.23.255.25532,766
49199.24.0.0/17199.24.0.1 to 199.24.127.254199.24.127.25532,766
50199.24.128.0/17199.24.128.1 to 199.24.255.254199.24.255.25532,766
51199.25.0.0/17199.25.0.1 to 199.25.127.254199.25.127.25532,766
52199.25.128.0/17199.25.128.1 to 199.25.255.254199.25.255.25532,766
53199.26.0.0/17199.26.0.1 to 199.26.127.254199.26.127.25532,766
54199.26.128.0/17199.26.128.1 to 199.26.255.254199.26.255.25532,766
55199.27.0.0/17199.27.0.1 to 199.27.127.254199.27.127.25532,766
56199.27.128.0/17199.27.128.1 to 199.27.255.254199.27.255.25532,766
57199.28.0.0/17199.28.0.1 to 199.28.127.254199.28.127.25532,766
58199.28.128.0/17199.28.128.1 to 199.28.255.254199.28.255.25532,766
59199.29.0.0/17199.29.0.1 to 199.29.127.254199.29.127.25532,766
60199.29.128.0/17199.29.128.1 to 199.29.255.254199.29.255.25532,766
61199.30.0.0/17199.30.0.1 to 199.30.127.254199.30.127.25532,766
62199.30.128.0/17199.30.128.1 to 199.30.255.254199.30.255.25532,766
63199.31.0.0/17199.31.0.1 to 199.31.127.254199.31.127.25532,766
64199.31.128.0/17199.31.128.1 to 199.31.255.254199.31.255.25532,766
65199.32.0.0/17199.32.0.1 to 199.32.127.254199.32.127.25532,766
66199.32.128.0/17199.32.128.1 to 199.32.255.254199.32.255.25532,766
67199.33.0.0/17199.33.0.1 to 199.33.127.254199.33.127.25532,766
68199.33.128.0/17199.33.128.1 to 199.33.255.254199.33.255.25532,766
69199.34.0.0/17199.34.0.1 to 199.34.127.254199.34.127.25532,766
70199.34.128.0/17199.34.128.1 to 199.34.255.254199.34.255.25532,766
71199.35.0.0/17199.35.0.1 to 199.35.127.254199.35.127.25532,766
72199.35.128.0/17199.35.128.1 to 199.35.255.254199.35.255.25532,766
73199.36.0.0/17199.36.0.1 to 199.36.127.254199.36.127.25532,766
74199.36.128.0/17199.36.128.1 to 199.36.255.254199.36.255.25532,766
75199.37.0.0/17199.37.0.1 to 199.37.127.254199.37.127.25532,766
76199.37.128.0/17199.37.128.1 to 199.37.255.254199.37.255.25532,766
77199.38.0.0/17199.38.0.1 to 199.38.127.254199.38.127.25532,766
78199.38.128.0/17199.38.128.1 to 199.38.255.254199.38.255.25532,766
79199.39.0.0/17199.39.0.1 to 199.39.127.254199.39.127.25532,766
80199.39.128.0/17199.39.128.1 to 199.39.255.254199.39.255.25532,766
81199.40.0.0/17199.40.0.1 to 199.40.127.254199.40.127.25532,766
82199.40.128.0/17199.40.128.1 to 199.40.255.254199.40.255.25532,766
83199.41.0.0/17199.41.0.1 to 199.41.127.254199.41.127.25532,766
84199.41.128.0/17199.41.128.1 to 199.41.255.254199.41.255.25532,766
85199.42.0.0/17199.42.0.1 to 199.42.127.254199.42.127.25532,766
86199.42.128.0/17199.42.128.1 to 199.42.255.254199.42.255.25532,766
87199.43.0.0/17199.43.0.1 to 199.43.127.254199.43.127.25532,766
88199.43.128.0/17199.43.128.1 to 199.43.255.254199.43.255.25532,766
89199.44.0.0/17199.44.0.1 to 199.44.127.254199.44.127.25532,766
90199.44.128.0/17199.44.128.1 to 199.44.255.254199.44.255.25532,766
91199.45.0.0/17199.45.0.1 to 199.45.127.254199.45.127.25532,766
92199.45.128.0/17199.45.128.1 to 199.45.255.254199.45.255.25532,766
93199.46.0.0/17199.46.0.1 to 199.46.127.254199.46.127.25532,766
94199.46.128.0/17199.46.128.1 to 199.46.255.254199.46.255.25532,766
95199.47.0.0/17199.47.0.1 to 199.47.127.254199.47.127.25532,766
96199.47.128.0/17199.47.128.1 to 199.47.255.254199.47.255.25532,766
97199.48.0.0/17199.48.0.1 to 199.48.127.254199.48.127.25532,766
98199.48.128.0/17199.48.128.1 to 199.48.255.254199.48.255.25532,766
99199.49.0.0/17199.49.0.1 to 199.49.127.254199.49.127.25532,766
100199.49.128.0/17199.49.128.1 to 199.49.255.254199.49.255.25532,766
101199.50.0.0/17199.50.0.1 to 199.50.127.254199.50.127.25532,766
102199.50.128.0/17199.50.128.1 to 199.50.255.254199.50.255.25532,766
103199.51.0.0/17199.51.0.1 to 199.51.127.254199.51.127.25532,766
104199.51.128.0/17199.51.128.1 to 199.51.255.254199.51.255.25532,766
105199.52.0.0/17199.52.0.1 to 199.52.127.254199.52.127.25532,766
106199.52.128.0/17199.52.128.1 to 199.52.255.254199.52.255.25532,766
107199.53.0.0/17199.53.0.1 to 199.53.127.254199.53.127.25532,766
108199.53.128.0/17199.53.128.1 to 199.53.255.254199.53.255.25532,766
109199.54.0.0/17199.54.0.1 to 199.54.127.254199.54.127.25532,766
110199.54.128.0/17199.54.128.1 to 199.54.255.254199.54.255.25532,766
111199.55.0.0/17199.55.0.1 to 199.55.127.254199.55.127.25532,766
112199.55.128.0/17199.55.128.1 to 199.55.255.254199.55.255.25532,766
113199.56.0.0/17199.56.0.1 to 199.56.127.254199.56.127.25532,766
114199.56.128.0/17199.56.128.1 to 199.56.255.254199.56.255.25532,766
115199.57.0.0/17199.57.0.1 to 199.57.127.254199.57.127.25532,766
116199.57.128.0/17199.57.128.1 to 199.57.255.254199.57.255.25532,766
117199.58.0.0/17199.58.0.1 to 199.58.127.254199.58.127.25532,766
118199.58.128.0/17199.58.128.1 to 199.58.255.254199.58.255.25532,766
119199.59.0.0/17199.59.0.1 to 199.59.127.254199.59.127.25532,766
120199.59.128.0/17199.59.128.1 to 199.59.255.254199.59.255.25532,766
121199.60.0.0/17199.60.0.1 to 199.60.127.254199.60.127.25532,766
122199.60.128.0/17199.60.128.1 to 199.60.255.254199.60.255.25532,766
123199.61.0.0/17199.61.0.1 to 199.61.127.254199.61.127.25532,766
124199.61.128.0/17199.61.128.1 to 199.61.255.254199.61.255.25532,766
125199.62.0.0/17199.62.0.1 to 199.62.127.254199.62.127.25532,766
126199.62.128.0/17199.62.128.1 to 199.62.255.254199.62.255.25532,766
127199.63.0.0/17199.63.0.1 to 199.63.127.254199.63.127.25532,766
128199.63.128.0/17199.63.128.1 to 199.63.255.254199.63.255.25532,766
129199.64.0.0/17199.64.0.1 to 199.64.127.254199.64.127.25532,766
130199.64.128.0/17199.64.128.1 to 199.64.255.254199.64.255.25532,766
131199.65.0.0/17199.65.0.1 to 199.65.127.254199.65.127.25532,766
132199.65.128.0/17199.65.128.1 to 199.65.255.254199.65.255.25532,766
133199.66.0.0/17199.66.0.1 to 199.66.127.254199.66.127.25532,766
134199.66.128.0/17199.66.128.1 to 199.66.255.254199.66.255.25532,766
135199.67.0.0/17199.67.0.1 to 199.67.127.254199.67.127.25532,766
136199.67.128.0/17199.67.128.1 to 199.67.255.254199.67.255.25532,766
137199.68.0.0/17199.68.0.1 to 199.68.127.254199.68.127.25532,766
138199.68.128.0/17199.68.128.1 to 199.68.255.254199.68.255.25532,766
139199.69.0.0/17199.69.0.1 to 199.69.127.254199.69.127.25532,766
140199.69.128.0/17199.69.128.1 to 199.69.255.254199.69.255.25532,766
141199.70.0.0/17199.70.0.1 to 199.70.127.254199.70.127.25532,766
142199.70.128.0/17199.70.128.1 to 199.70.255.254199.70.255.25532,766
143199.71.0.0/17199.71.0.1 to 199.71.127.254199.71.127.25532,766
144199.71.128.0/17199.71.128.1 to 199.71.255.254199.71.255.25532,766
145199.72.0.0/17199.72.0.1 to 199.72.127.254199.72.127.25532,766
146199.72.128.0/17199.72.128.1 to 199.72.255.254199.72.255.25532,766
147199.73.0.0/17199.73.0.1 to 199.73.127.254199.73.127.25532,766
148199.73.128.0/17199.73.128.1 to 199.73.255.254199.73.255.25532,766
149199.74.0.0/17199.74.0.1 to 199.74.127.254199.74.127.25532,766
150199.74.128.0/17199.74.128.1 to 199.74.255.254199.74.255.25532,766
151199.75.0.0/17199.75.0.1 to 199.75.127.254199.75.127.25532,766
152199.75.128.0/17199.75.128.1 to 199.75.255.254199.75.255.25532,766
153199.76.0.0/17199.76.0.1 to 199.76.127.254199.76.127.25532,766
154199.76.128.0/17199.76.128.1 to 199.76.255.254199.76.255.25532,766
155199.77.0.0/17199.77.0.1 to 199.77.127.254199.77.127.25532,766
156199.77.128.0/17199.77.128.1 to 199.77.255.254199.77.255.25532,766
157199.78.0.0/17199.78.0.1 to 199.78.127.254199.78.127.25532,766
158199.78.128.0/17199.78.128.1 to 199.78.255.254199.78.255.25532,766
159199.79.0.0/17199.79.0.1 to 199.79.127.254199.79.127.25532,766
160199.79.128.0/17199.79.128.1 to 199.79.255.254199.79.255.25532,766
161199.80.0.0/17199.80.0.1 to 199.80.127.254199.80.127.25532,766
162199.80.128.0/17199.80.128.1 to 199.80.255.254199.80.255.25532,766
163199.81.0.0/17199.81.0.1 to 199.81.127.254199.81.127.25532,766
164199.81.128.0/17199.81.128.1 to 199.81.255.254199.81.255.25532,766
165199.82.0.0/17199.82.0.1 to 199.82.127.254199.82.127.25532,766
166199.82.128.0/17199.82.128.1 to 199.82.255.254199.82.255.25532,766
167199.83.0.0/17199.83.0.1 to 199.83.127.254199.83.127.25532,766
168199.83.128.0/17199.83.128.1 to 199.83.255.254199.83.255.25532,766
169199.84.0.0/17199.84.0.1 to 199.84.127.254199.84.127.25532,766
170199.84.128.0/17199.84.128.1 to 199.84.255.254199.84.255.25532,766
171199.85.0.0/17199.85.0.1 to 199.85.127.254199.85.127.25532,766
172199.85.128.0/17199.85.128.1 to 199.85.255.254199.85.255.25532,766
173199.86.0.0/17199.86.0.1 to 199.86.127.254199.86.127.25532,766
174199.86.128.0/17199.86.128.1 to 199.86.255.254199.86.255.25532,766
175199.87.0.0/17199.87.0.1 to 199.87.127.254199.87.127.25532,766
176199.87.128.0/17199.87.128.1 to 199.87.255.254199.87.255.25532,766
177199.88.0.0/17199.88.0.1 to 199.88.127.254199.88.127.25532,766
178199.88.128.0/17199.88.128.1 to 199.88.255.254199.88.255.25532,766
179199.89.0.0/17199.89.0.1 to 199.89.127.254199.89.127.25532,766
180199.89.128.0/17199.89.128.1 to 199.89.255.254199.89.255.25532,766
181199.90.0.0/17199.90.0.1 to 199.90.127.254199.90.127.25532,766
182199.90.128.0/17199.90.128.1 to 199.90.255.254199.90.255.25532,766
183199.91.0.0/17199.91.0.1 to 199.91.127.254199.91.127.25532,766
184199.91.128.0/17199.91.128.1 to 199.91.255.254199.91.255.25532,766
185199.92.0.0/17199.92.0.1 to 199.92.127.254199.92.127.25532,766
186199.92.128.0/17199.92.128.1 to 199.92.255.254199.92.255.25532,766
187199.93.0.0/17199.93.0.1 to 199.93.127.254199.93.127.25532,766
188199.93.128.0/17199.93.128.1 to 199.93.255.254199.93.255.25532,766
189199.94.0.0/17199.94.0.1 to 199.94.127.254199.94.127.25532,766
190199.94.128.0/17199.94.128.1 to 199.94.255.254199.94.255.25532,766
191199.95.0.0/17199.95.0.1 to 199.95.127.254199.95.127.25532,766
192199.95.128.0/17199.95.128.1 to 199.95.255.254199.95.255.25532,766
193199.96.0.0/17199.96.0.1 to 199.96.127.254199.96.127.25532,766
194199.96.128.0/17199.96.128.1 to 199.96.255.254199.96.255.25532,766
195199.97.0.0/17199.97.0.1 to 199.97.127.254199.97.127.25532,766
196199.97.128.0/17199.97.128.1 to 199.97.255.254199.97.255.25532,766
197199.98.0.0/17199.98.0.1 to 199.98.127.254199.98.127.25532,766
198199.98.128.0/17199.98.128.1 to 199.98.255.254199.98.255.25532,766
199199.99.0.0/17199.99.0.1 to 199.99.127.254199.99.127.25532,766
200199.99.128.0/17199.99.128.1 to 199.99.255.254199.99.255.25532,766
201199.100.0.0/17199.100.0.1 to 199.100.127.254199.100.127.25532,766
202199.100.128.0/17199.100.128.1 to 199.100.255.254199.100.255.25532,766
203199.101.0.0/17199.101.0.1 to 199.101.127.254199.101.127.25532,766
204199.101.128.0/17199.101.128.1 to 199.101.255.254199.101.255.25532,766
205199.102.0.0/17199.102.0.1 to 199.102.127.254199.102.127.25532,766
206199.102.128.0/17199.102.128.1 to 199.102.255.254199.102.255.25532,766
207199.103.0.0/17199.103.0.1 to 199.103.127.254199.103.127.25532,766
208199.103.128.0/17199.103.128.1 to 199.103.255.254199.103.255.25532,766
209199.104.0.0/17199.104.0.1 to 199.104.127.254199.104.127.25532,766
210199.104.128.0/17199.104.128.1 to 199.104.255.254199.104.255.25532,766
211199.105.0.0/17199.105.0.1 to 199.105.127.254199.105.127.25532,766
212199.105.128.0/17199.105.128.1 to 199.105.255.254199.105.255.25532,766
213199.106.0.0/17199.106.0.1 to 199.106.127.254199.106.127.25532,766
214199.106.128.0/17199.106.128.1 to 199.106.255.254199.106.255.25532,766
215199.107.0.0/17199.107.0.1 to 199.107.127.254199.107.127.25532,766
216199.107.128.0/17199.107.128.1 to 199.107.255.254199.107.255.25532,766
217199.108.0.0/17199.108.0.1 to 199.108.127.254199.108.127.25532,766
218199.108.128.0/17199.108.128.1 to 199.108.255.254199.108.255.25532,766
219199.109.0.0/17199.109.0.1 to 199.109.127.254199.109.127.25532,766
220199.109.128.0/17199.109.128.1 to 199.109.255.254199.109.255.25532,766
221199.110.0.0/17199.110.0.1 to 199.110.127.254199.110.127.25532,766
222199.110.128.0/17199.110.128.1 to 199.110.255.254199.110.255.25532,766
223199.111.0.0/17199.111.0.1 to 199.111.127.254199.111.127.25532,766
224199.111.128.0/17199.111.128.1 to 199.111.255.254199.111.255.25532,766
225199.112.0.0/17199.112.0.1 to 199.112.127.254199.112.127.25532,766
226199.112.128.0/17199.112.128.1 to 199.112.255.254199.112.255.25532,766
227199.113.0.0/17199.113.0.1 to 199.113.127.254199.113.127.25532,766
228199.113.128.0/17199.113.128.1 to 199.113.255.254199.113.255.25532,766
229199.114.0.0/17199.114.0.1 to 199.114.127.254199.114.127.25532,766
230199.114.128.0/17199.114.128.1 to 199.114.255.254199.114.255.25532,766
231199.115.0.0/17199.115.0.1 to 199.115.127.254199.115.127.25532,766
232199.115.128.0/17199.115.128.1 to 199.115.255.254199.115.255.25532,766
233199.116.0.0/17199.116.0.1 to 199.116.127.254199.116.127.25532,766
234199.116.128.0/17199.116.128.1 to 199.116.255.254199.116.255.25532,766
235199.117.0.0/17199.117.0.1 to 199.117.127.254199.117.127.25532,766
236199.117.128.0/17199.117.128.1 to 199.117.255.254199.117.255.25532,766
237199.118.0.0/17199.118.0.1 to 199.118.127.254199.118.127.25532,766
238199.118.128.0/17199.118.128.1 to 199.118.255.254199.118.255.25532,766
239199.119.0.0/17199.119.0.1 to 199.119.127.254199.119.127.25532,766
240199.119.128.0/17199.119.128.1 to 199.119.255.254199.119.255.25532,766
241199.120.0.0/17199.120.0.1 to 199.120.127.254199.120.127.25532,766
242199.120.128.0/17199.120.128.1 to 199.120.255.254199.120.255.25532,766
243199.121.0.0/17199.121.0.1 to 199.121.127.254199.121.127.25532,766
244199.121.128.0/17199.121.128.1 to 199.121.255.254199.121.255.25532,766
245199.122.0.0/17199.122.0.1 to 199.122.127.254199.122.127.25532,766
246199.122.128.0/17199.122.128.1 to 199.122.255.254199.122.255.25532,766
247199.123.0.0/17199.123.0.1 to 199.123.127.254199.123.127.25532,766
248199.123.128.0/17199.123.128.1 to 199.123.255.254199.123.255.25532,766
249199.124.0.0/17199.124.0.1 to 199.124.127.254199.124.127.25532,766
250199.124.128.0/17199.124.128.1 to 199.124.255.254199.124.255.25532,766
251199.125.0.0/17199.125.0.1 to 199.125.127.254199.125.127.25532,766
252199.125.128.0/17199.125.128.1 to 199.125.255.254199.125.255.25532,766
253199.126.0.0/17199.126.0.1 to 199.126.127.254199.126.127.25532,766
254199.126.128.0/17199.126.128.1 to 199.126.255.254199.126.255.25532,766
255199.127.0.0/17199.127.0.1 to 199.127.127.254199.127.127.25532,766
256199.127.128.0/17199.127.128.1 to 199.127.255.254199.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses